% master.m
%
% no user-serviceable parts

clear                         % housekeeping
more off
home
addpath('user', 'code/outer', 'code/simulation');

preferences                   % read preferences

parameters                    % read parameter values

speak_1

nearest_neighbors

immediate_neighbors

for sim = 1:M;
    
    speak_2

    set_vars_outer                     % preconditioning
    
    binomial_offspring
    
    lognormal_vegetation
    
    landscape_composition
    
    for t = 1 : tmax;
    
        initial_conditions             % set (or reset) initial conditions
    
        breeding                       % breeding season
    
        winter                         % non breeding season

        updated_dispersal              % dispersal

        updated_census                 % census
    
    end
    
    collect_bird_identities
    
    collect_sim_data                   % collect simulation data

end 

updated_prelimdata