% collect_sim_data.m
% 
% Checked and Changed 06/19/2015 JH

% totals for real densities
sim_total_population(sim, :) = total_population;
sim_source_population(sim, :) = source_population;
sim_sink_population(sim, :) = sink_population;
sim_source_floater(sim, :) = source_floater;
sim_sink_floater(sim, :) = sink_floater;

sim_initial_source_population(sim) = sum(sum(BIRDinitialSOURCE));
sim_initial_sink_population(sim) = sum(sum(BIRDinitialSINK));
sim_initial_total_population(sim) = sum(sum(BIRDinitial));
sim_initial_source_floater(sim) = 0;
sim_initial_sink_floater(sim) = 0;

sim_mean_total_population(sim) = mean(total_population);
sim_mean_source_population(sim) = mean(source_population);
sim_mean_sink_population(sim) = mean(sink_population);
sim_mean_source_floater(sim) = mean(source_floater);
sim_mean_sink_floater(sim) = mean(sink_floater);

sim_var_total_population(sim) = var(total_population);
sim_var_source_population(sim) = var(source_population);
sim_var_sink_population(sim) = var(sink_population);
sim_var_source_floater(sim) = var(source_floater);
sim_var_sink_floater(sim) = var(sink_floater);


% totals for capture densitites
if (capture == 1)
    c_sim_total_population(sim, :) = c_total_population;
    c_sim_source_population(sim, :) = c_source_population + c_source_floater;
    c_sim_sink_population(sim, :) = c_sink_population + c_sink_floater;

    c_sim_initial_source_population(sim) = sum(sum(BIRDinitialSOURCE))...
        *forest_detectability;
    c_sim_initial_sink_population(sim) = sum(sum(BIRDinitialSINK))...
        *coffee_detectability;
    c_sim_initial_total_population(sim) = sum(sum(BIRDinitial));
    c_sim_initial_source_floater(sim) = 0;
    c_sim_initial_sink_floater(sim) = 0;

    c_sim_mean_total_population(sim) = mean(c_total_population);
    c_sim_mean_source_population(sim) = mean(c_source_population);
    c_sim_mean_sink_population(sim) = mean(c_sink_population);
    c_sim_mean_source_floater(sim) = mean(c_source_floater);
    c_sim_mean_sink_floater(sim) = mean(c_sink_floater);

    c_sim_var_total_population(sim) = var(c_total_population);
    c_sim_var_source_population(sim) = var(c_source_population);
    c_sim_var_sink_population(sim) = var(c_sink_population);
    c_sim_var_source_floater(sim) = var(c_source_floater);
    c_sim_var_sink_floater(sim) = var(c_sink_floater);
end