% census.m
%
% Checked and Changed 06/19/2015 JH

 count_source = 0;
 count_sink = 0;
%  count_source_float = 0;
%  count_sink_float = 0;
 c_count_source = 0;
 c_count_sink = 0;

birds_this_year = 0;
bird_patches_this_year = 0;

birds_this_year = find(BIRD_IDENTITIES(:, gg + 3)); %live birds in a year
for kk = 1 : length(birds_this_year);
    bird_patches_this_year(kk) = BIRD_IDENTITIES(birds_this_year(kk), hh + 3);
end

if (capture == 1)
    prob_detect = rand(1, length(birds_this_year)); % generates random number for 
end                                             % every breeding site in the system
                                                % to find the prob of
                                                % detection

for kk = 1 : length(birds_this_year);
    if (bird_patches_this_year(kk)>0 && SOURCE(1, bird_patches_this_year(kk)) == 1)
        count_source = count_source + 1;
           
            if (capture == 1)
        
                if(prob_detect(kk) <= (1 - forest_detectability))
                    c_count_source = c_count_source;
                else 
                    c_count_source = c_count_source + 1;
                end
            
            end
    elseif (bird_patches_this_year(kk)>0 && SOURCE(1, bird_patches_this_year(kk)) == 0)
        count_sink = count_sink + 1; 
        
            if (capture == 1)
        
                if(prob_detect(kk) <= (1 - coffee_detectability))
                    c_count_sink = c_count_sink;
                else 
                    c_count_sink = c_count_sink + 1;
                end
        
            end
    elseif  (bird_patches_this_year(kk)<0 && BIRD_IDENTITIES(birds_this_year(kk), hh + 3) == -2)
        count_source_float = count_source_float + 1;
             if (capture == 1)
                   if (prob_detect(kk) <= (1 - forest_detectability))
                       c_count_source_float = c_count_source_float;
                   else
                       c_count_source_float = c_count_source_float + 1;
                   end
            end
        
    elseif (bird_patches_this_year(kk)<0 && BIRD_IDENTITIES(birds_this_year(kk), hh + 3) == -3)
        count_sink_float = count_sink_float + 1;
            if (capture == 1)
                   if (prob_detect(kk) <= (1 - coffee_detectability))
                       c_count_sink_float = c_count_sink_float;
                   else
                       c_count_sink_float = c_count_sink_float + 1;
                   end
            end
        
    end        
end

% collect data for real densities
source_population(t) = count_source;

sink_population(t) = count_sink;

source_floater(t) = count_source_float;

sink_floater(t) = count_sink_float;

% for data plotting for real densitites
total_population(t) = source_population(t) + sink_population(t) ...
    + source_floater(t) + sink_floater(t);
 
% collect data for capture densities
if(capture == 1)
   
    c_source_population(t) = c_count_source;

    c_sink_population(t) = c_count_sink;

    c_source_floater(t) = c_count_source_float;

    c_sink_floater(t) = c_count_sink_float;

    % for data plotting for capture densitites
    c_total_population(t) = c_source_population(t) + c_sink_population(t) ...
        + c_source_floater(t) + c_sink_floater(t);

end