% preferences.m

% Checked 07/09/2015 JH

% any value can be modified
% please pay attention to the comments:
% some variables have distinct values
% some values are not allowed
%
% general rule:
% 0 = no
% 1 = yes
    
% habitat type
    
    % categorical = 0
    % canopy percent cover = 1
        habitat_type = 1;           % later, we rename this canopy
    
    % composition (for generating the landscape)
    
        % random = 0
        % lateral = 1
        % radial = 2
        % percolation = 3
        
        configuration = 2;
        
          
% dispersal     
    
    % preferred habitat 
    
        % neutral = 0 (first choice) (must have habitat_type = 0)
        % adaptive = 1 (sources) (must have habitat_type = 0)
        % maladaptive = 2 (sinks) (must have habitat_type = 0)
        % percent canopy cover = 3 (must have habitat_type = 1)
        % note: 3 does not depend on whether it is forest or coffee
        
        preferred_habitat = 3;
        
            % only for preferred_habitat = 3
        
            % preferred_cover is a fraction from 0 to 1 for canopy cover
            preferred_cover = 0.30;

            
    % movement rules
    % random search = 0 (birds search the entire habitat, but the largest
                        % birds move first)
    % search distance 1 = 1 (must have m >= 3)
    % search distance 2 = 2 (must have m >= 5)
    % search distance 3 = 3 (must have m >= 7)
    % search distance 4 = 4 (must have m >= 9)
    
    search = 2;
    
% composition 
 
    % this will be the proportion of coffee for the landscape AFTER its
    % composition is constucted from landscape_composition.m

    prop_coffee = 0.10;         % percent coffee
                                % percent forest will be 1 - prop_coffee   
    
% detectability

    % to compute capture densities set capture = 1
    
    capture = 0;

    forest_detectability = 0.90;             % fraction of dectection for
    coffee_detectability = 0.10;             % each habitat
                                            % collected in census.m
                                            % ony works when capture = 1


% make sure to hit save!